aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-php-serialization
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-02 14:09:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-02 14:09:33 +0000
commit153c89da6709d7330a271be726104bbbdfcc9858 (patch)
tree3abb00fd5739b15d1f027144d1cc77bfaceb904d /main/perl-php-serialization
parent0d7c49b1e9decddf161bcb4e4c12ab46c0e794ec (diff)
downloadaports-153c89da6709d7330a271be726104bbbdfcc9858.tar.gz
aports-153c89da6709d7330a271be726104bbbdfcc9858.tar.bz2
aports-153c89da6709d7330a271be726104bbbdfcc9858.tar.xz
main/perl-*: moved to main
most of the have test scripts
Diffstat (limited to 'main/perl-php-serialization')
-rw-r--r--main/perl-php-serialization/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/main/perl-php-serialization/APKBUILD b/main/perl-php-serialization/APKBUILD
new file mode 100644
index 0000000000..afe3edfc78
--- /dev/null
+++ b/main/perl-php-serialization/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-php-serialization
+_realname=PHP-Serialization
+pkgver=0.34
+pkgrel=1
+pkgdesc="Simple flexible means of converting the output of PHP's serialize() into the equivalent Perl memory structure, and vice versa."
+url="http://search.cpan.org/~bobtfish/PHP-Serialization-$pkgver"
+arch="noarch"
+license="GPL PerlArtistic"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_realname-$pkgver"
+
+build() {
+ cd $_builddir
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd $_builddir
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="333af0848ad79931875a35cc61dc22e0 PHP-Serialization-0.34.tar.gz"